API referenceComputeSSH keys
Rename / retag an SSH key
Requires the ssh_keys:create permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/ssh-keys/string" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "fingerprint": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key_type": "string", "name": "string", "public_key": "string", "tags": { "property1": "string", "property2": "string" }, "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"}